package com.github.wxiaoqi.security.auth.bean;


import com.github.wxiaoqi.security.auth.common.util.jwt.IJWTInfo;

/**
 * Created by ace on 2017/9/10.
 */
public class ClientInfo implements IJWTInfo {
    String clientId;
    String name;

    public ClientInfo(String clientId, String name, String id) {
        this.clientId = clientId;
        this.name = name;
        this.id = id;
//        this.dataAll = dataAll;
//        this.dataZone = dataZone;
//        this.dataCompany = dataCompany;
    }

    public void setId(String id) {
        this.id = id;
    }

    String id;
//    Integer dataAll;
//    String dataZone;
//    String dataCompany;

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public void setName(String name) {
        this.name = name;
    }

//    public void setDataAll(Integer dataAll) {
//        this.dataAll = dataAll;
//    }
//
//    public void setDataZone(String dataZone) {
//        this.dataZone = dataZone;
//    }
//
//    public void setDataCompany(String dataCompany) {
//        this.dataCompany = dataCompany;
//    }

    @Override
    public String getUniqueName() {
        return clientId;
    }

    @Override
    public String getId() {
        return id;
    }

    @Override
    public String getName() {
        return name;
    }

    @Override
    public String getRequestType() {
        return "none";
    }

//    @Override
//    public Integer getDataAll() {
//        return null;
//    }
//
//    @Override
//    public String getDataZone() {
//        return null;
//    }
//
//    @Override
//    public String getDataCompany() {
//        return null;
//    }
}
